## xcutmp3 1.9beta1

=== cmp3-src/Makefile ===
NAME=cmp3
VERSION=1.0
PREFIX=/usr
BINDIR=${PREFIX}/bin
DATADIR=${PREFIX}/share
MANDIR=${PREFIX}/share/man/man1
DOCDIR=${DATADIR}/doc/${NAME}-${VERSION}

all:
	@echo -e "\n\n*** You need readline-devel, ncurses-devel or similar to compile ${NAME} ***\n*** Maybe you want to try the binary on compile failures? ***\n\n"
	gcc -O ${CFLAGS} -c mpglib.c
	gcc -O ${CFLAGS} -c main.c
	gcc main.o mpglib.o -o ${NAME} -lm -lreadline -lncurses

i386:
	gcc -Wall -O -c mpglib.c
	gcc -Wall -O -c main.c
	gcc main.o mpglib.o -o ${NAME} -lm -lreadline -lncurses

clean:
	rm -f *.o
	rm -f ${NAME}

install:
	install -d ${BINDIR}
	install ${NAME} ${BINDIR}
# 	if [ ! -z "${KDEDIR}" ]; then install -m 644 ${NAME}.desktop ${KDEDIR}/share/apps/konqueror/servicemenus; elif [ -d /usr/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /usr/share/apps/konqueror/servicemenus; elif [ -d /opt/kde/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde/share/apps/konqueror/servicemenus; elif [ -d /opt/kde3/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde3/share/apps/konqueror/servicemenus; fi
# 	install -d ${DOCDIR}/${NAME}
# 	install -m 644 README* USAGE ${DOCDIR}/${NAME}
# 	install -d ${MANDIR}
# 	gzip ${NAME}.1
# 	install -m 644 ${NAME}.1.gz ${MANDIR}
# 	gunzip ${NAME}.1.gz

uninstall:
	rm -f ${BINDIR}/${NAME}
	rm -f ${KDEDIR}/share/apps/konqueror/servicemenus/${NAME}.desktop

debug:
	gcc -g -Wall -O -c mpglib.c
	gcc -g -Wall -O -c main.c
	gcc main.o mpglib.o -o ${NAME} -lm -lreadline -lncurses

## xcutmp3 1.2

=== debian/changelog ===
xcutmp3 (1.2-dmo3) unstable; urgency=medium

  * Remove kdebase-bin as dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Mar 2020 16:20:11 +0100

xcutmp3 (1.2-dmo2) unstable; urgency=medium

  * Change debian source format to '3.0 (quilt)'

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Nov 2017 08:40:11 +0100

xcutmp3 (1.2-dmo1) unstable; urgency=low

  * Build with hardened flags.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jun 2012 15:45:00 +0200

xcutmp3 (1.2-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Sep 2011 08:54:05 +0200

xcutmp3 (1.1-0.1) unstable; urgency=low

  * Need to depends on kdebase-bin for kdialog.

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Dec 2009 18:46:19 +0100

xcutmp3 (1.1-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Tue, 07 Jul 2009 14:55:54 +0200

=== debian/control ===
Source: xcutmp3
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.puchalla-online.de/xcutmp3.html
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12)

Package: xcutmp3
Architecture: all
Depends: ${misc:Depends}, cutmp3, libtk-perl
Description: Simple frontend for cutmp3.
 xcutmp3 is a simple frontend for cutmp3 for people who do not like to learn
 keystrokes.

=== debian/watch ===
version=4

https://www.puchalla-online.de/xcutmp3.html \
xcutmp3-(.*)@ARCHIVE_EXT@

## xcutmp3 1.9beta1

=== debian/changelog ===
xcutmp3 (1.9beta1-0.0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Bump up standards to 3.9.4 and modernise packaging:
    + Rewrite d/copyright to reflect latest standards
    + Wrap and sort deps in d/control
    + Move packaging to 3.0 (quilt) format
  * Install cutmp3 desktop file

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 27 Jun 2013 19:57:42 +0530

xcutmp3 (1.1-0.0ubuntu1) karmic; urgency=low

  * Depends on kdebase-bin (LP: #452446).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Oct 2009 21:38:34 +0200

=== debian/control ===
Source: xcutmp3
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://www.puchalla-online.de/xcutmp3.html
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.4

Package: xcutmp3
Architecture: all
Depends: cutmp3,
         kdebase-bin,
         tk,
         ${misc:Depends},
         ${shlibs:Depends}
Description: a simple frontend for cutmp3
 xcutmp3 is a simple frontend for cutmp3 for people who do not like to learn
 keystrokes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	dh_install

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://www.puchalla-online.de/xcutmp3.html xcutmp3-(.*)\.tar\.bz2
